---
title: "Retrieve Report"
url: "https://developer.pexa.co.uk/apis/reporting-v1-v1/versions/93169eb9-0c29-4024-9db1-3328c63cf7bc"
---

# Retrieve Report

OpenAPI specification document.

```json
{"openapi":"3.0.1","info":{"title":"Retrieve Report","description":"This API is used by Lenders & Law Firms to retrieve the reports","version":"v1","x-api-version":"1.0.0","x-pexa-products":["partner"],"x-pexa-segments":["lawfirms","lenders"],"x-idp-audience":"PexaPartnerAPI","x-idp-audience-identifier":"https://app.pexauk.co.uk/api/v1/pexa-partner"},"servers":[{"url":"https://api.pexa.co.uk","description":"API Gateway URL"}],"tags":[{"name":"Reports","description":"Endpoint to fetch report content"}],"paths":{"/partner/api/platformconnect/v1/reports/{report_name}/content":{"get":{"tags":["Reports"],"summary":"Retrieve report","description":"This API is used by Lenders & Law Firms to retrieve the reports","security":[{"oauth2":["x-api:view:reports"]}],"operationId":"getReportContent","parameters":[{"in":"path","name":"report_name","description":"Report name, must be one of:  <p> <ul> <li>report-financialsummary-todate</li> <li>report-settlementhistory-daily</li> <li>report-workspacesummary-todate</li> </ul> </p>","required":true,"schema":{"type":"string","example":"report-financialsummary-todate"}},{"in":"query","name":"date","description":"Report date must be in the format yyyy-mm-dd and must be less than 15 days old","schema":{"type":"string","pattern":"^\\d{4}\\-(0[1-9]|1[012])\\-(0[1-9]|[12][0-9]|3[01])$","example":"2019-05-17"}}],"responses":{"200":{"description":"OK","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"BAD REQUEST","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"field":"date","message":"Bad request: incorrect date provided. Expected format is yyyy-mm-dd."}]}}}},"404":{"description":"NOT FOUND","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"examples":{"Invalid Report Name":{"value":{"errors":[{"field":"reportName","message":"No report is in the name of invalid-report-name for the subscriber 3d5e5c10-e477-11ef-9101-d55fafa15742."}]}},"Invalid Date":{"value":{"errors":[{"field":"requestedDate","message":"No report is available for the requested date 2025/01/31."}]}},"Report Not Available":{"value":{"errors":[{"field":"subscriberId","message":"The report is not generated for the subscriber 3d5e5c10-e477-11ef-9101-d55fafa15742."}]}}}}}},"503":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}}}},"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://login.pexauk.co.uk/oauth/token","scopes":{"x-api:view:reports":"Permission to view reports"}}}}},"schemas":{"X-API-Version":{"type":"string","description":"The API version that was used to process the request."},"Error":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"X-Request-Correlation-Id":{"type":"string","description":"The unique identifier for the request"}},"responses":{"ServiceUnavailable":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}},"x-audience-url":"https://app.pexauk.co.uk/api/v1/pexa-partner"}
```
